//Copyright (c) 2011, Paul Lindt, Irina Lindt
//All rights reserved.

//Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    //Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    //Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or
//other materials provided with the distribution.

//THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
//WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY
//DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
//USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
//NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE 




#include <stdlib.h>
#include <stdio.h>


struct socket_list
{
	struct socket_list * next;
	int socket;
};

struct thread_list
{
	struct thread_list * next;
	pthread_t *thread;
};



void socketAddElement(struct socket_list *list, int socket)
{
	struct socket_list * tmp_link;
	tmp_link = malloc(sizeof(struct socket_list));
	tmp_link->next = list;
	tmp_link->socket = socket;
	list = tmp_link;
} 
void threadAddElement(struct thread_list *list, pthread_t * thread)
{
	struct thread_list * tmp_link;
	tmp_link = malloc(sizeof(struct thread_list));
	tmp_link->next = list;
	tmp_link->thread = thread;
	list = tmp_link;
} 


