//Copyright (c) 2011, Paul Lindt, Irina Lindt
//All rights reserved.

//Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    //Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    //Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or
//other materials provided with the distribution.

//THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
//WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY
//DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
//USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
//NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE 


//~ #define ON_SHARED_MEMORY

#include<signal.h>
#include"on.h"

struct on_connection my_connection;

int user_interface();


void sigpipe_handler(int signal)
{
	printf("%s\n", "sigpipe recieved");
}

int main()
{
	//condvars erstellen
	//shm aufmachen

	signal(SIGPIPE, (void *) sigpipe_handler);
	
	pthread_t server_interface_thread;
	
	on_connect(&my_connection, SERVER_MODE);
	
	if((pthread_create(&server_interface_thread, NULL,(void *)ond_server_interface, (void *)&my_connection)) != 0)
	{
		error("konnte den server_interface_thread nicht erstellen");
		exit(-1);
	}
	user_interface();
	
	on_disconnect(&my_connection, SERVER_MODE);
	
	return 0;
}
	

int user_interface()
{

	//scheint ueberfluessig aber ohne beschwert sich getline
	int maxinput = MAX_INPUT_LENGTH;
	char *input;
	input = (char *)malloc(maxinput + 1);
	int done = FALSE;
	while(!done)
	{
		print_user_interface();
		getline(&input,(size_t*)&maxinput, stdin);
		if(strcmp("/quit\n", input))
		{

		}
		else
		{
			done = TRUE;
		}
	}
	return 0;
}



