//Copyright (c) 2011, Paul Lindt, Irina Lindt
//All rights reserved.

//Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    //Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    //Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or
//other materials provided with the distribution.

//THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
//WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY
//DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
//USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
//NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE 



#define FALSE 0
#define TRUE 1

#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<unistd.h>
#include<sys/types.h>
#include<pwd.h>

void error(char *text)
{
	perror(text);
	exit(1);
}


#define LOG_SIZE 5000
#define CLIENT_PID_OFFSET 10
#define MAX_INPUT 50
#define TEXT_OFFSET CLIENT_PID_OFFSET + MAX_CLIENT * sizeof(struct client)
#define MAX_USERNAME_SIZE 10
#define MAX_INPUT_LENGTH 50

#define CURRENT_CLIENT_NUMBER  on_connection->chat_log[1]

void on_get_user_name(char * username, int argc, char ** argv)
{

	if(argc > 1)
	{

		if(strlen(argv[1]) > MAX_USERNAME_SIZE)
			error("Benutzername ist zu Lang");
		strcpy(username, argv[1]);
	}
	else
	{
		uid_t my_uid = getuid();
		struct passwd * tmp_passwd_struct;
		do
		{
			tmp_passwd_struct = getpwent();
		}while(tmp_passwd_struct->pw_uid != my_uid);
		strcpy(username, tmp_passwd_struct->pw_name);
	}
	#ifdef DEBUG
	printf("Benutzername:%s\n", username);
	#endif
}


void print_user_interface()
{
	//printf("%s\n", "Hier koennte ihr log stehen");
	printf("%s\n>", "---------------------------------Eingabe-------------------/quit zum Beenden--");
}


#ifdef ON_SHARED_MEMORY
#include"on_shared_memory.h"
#else
#include"on_network.h"
#endif
